Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Transactions

MIT Batch Authorization

POST
/public/api/v1/mit/batch

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Header Parameters

Idempotency-Keystring

Request Body

application/json

MIT batch authorization request payload.

TypeScript Definitions

Use the request body type in TypeScript.

Batch payload for creating multiple MIT transactions in one request.

Items:
1 <= items <= 500

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/public/api/v1/mit/batch" \  -H "Idempotency-Key: c4f5e8d2-1234-5678-90ab-cdef12345678" \  -H "Content-Type: application/json" \  -d '{    "transactions": [      {        "subscriptionId": "01929a94-5fce-7ccc-a7e4-7e9249133b39",        "amount": 100,        "notificationUrl": "https://example.com/epay/notification"      }    ]  }'
{  "transactions": [    {      "reference": "string",      "transaction": {        "id": "LDG7M4WW44G",        "subscriptionId": "0197c07b-3f6d-7be2-b848-702b08958128",        "billingAgreementChargeId": "019a727b-987f-7768-a59e-71af920ef81f",        "state": "PENDING",        "errorCode": "string",        "externalStatusCodes": {          "terminal": "string",          "acquirer": "string",          "network": "string",          "sca": "string"        },        "createdAt": "2019-08-24T14:15:22Z",        "sessionId": "string",        "paymentMethodId": "b6df8625-cd25-4123-b345-638aa7b5d011",        "paymentMethodType": "CARD",        "paymentMethodSubType": "Visa",        "paymentMethodExpiry": "2019-08-24",        "paymentMethodDisplayText": "string",        "paymentMethodHolderName": "string",        "scaMode": "SKIP",        "customerId": "string",        "amount": 0,        "fee": 0,        "currency": "string",        "instantCapture": "OFF",        "notificationUrl": "http://example.com",        "pointOfSaleId": "be6bff4f-7fac-43c0-9f6b-cf2cd45ed7d1",        "reference": "string",        "textOnStatement": "string",        "exemptions": [          "LVT",          "TRA"        ],        "attributes": {          "property1": null,          "property2": null        },        "clientIp": "52.212.176.122",        "clientCountry": "DK",        "type": "PAYMENT"      },      "error": {        "success": false,        "errorCode": "MODEL_NOT_FOUND",        "message": "The requested model was not found."      }    }  ]}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}

MIT Authorization

Batching and Rate limits ePay strongly recommends merchants to implement the MIT Batch Authorization endpoint over the single MIT authorization endpoint. Please review our rate limits before you begin your implementation. A MIT (Merchant-Initiated Transaction) is a payment initiated by the merchant, typically based on a previously established agreement, such as a subscription. You’ll receive the outcome of the payment on the notificationUrl you provide within the request, making it the primary way to track the result of this payment. Webhooks can be used separately if you need broader, system-wide updates. Use a MIT authorization when the customer has agreed to let the merchant charge them automatically. For example, monthly subscription payments must be handled using MIT. MIT is not suitable when the customer starts the payment themselves, like clicking a “Pay Now” button. For more information about the differences between CIT (Customer-Initiated Transaction) and MIT, see our Core Concepts page. All MIT transactions are processed asynchronously and cannot run in real time. Most are completed within a few seconds, but ePay does not guarantee processing times. Some payment methods, such as Vipps MobilePay, may take several days to complete, depending on the method’s processing rules. If you want to offer your customers the ability to store their cards for faster checkout in the future, you must use CIT transactions. In such cases, you are required to provide a customerId when creating the payment. This ID links the stored card to the customer and enables quick-checkout functionality in future sessions. We recommend a minimum timeout of 5 seconds.

MOTO Authorization

PCI-DSS Compliance As this endpoint receives raw payment data, the integrator is required to provide documentation for PCI-DSS compliance before access can be granted. This endpoint creates and processes an online MOTO transaction and returns the authorization result in the response. This is typically used within the travel industry, where it is more common for customers to provide their card info over the phone when booking a vacation. This can be used by merchants to automate authorizations when receiving card info from brokers such as hotels.com and booking.com. We recommend a minimum timeout of 60 seconds.